from django import forms
from .models import AnsibleJob

class AnsibleJobForm(forms.ModelForm):
    class Meta:
        model = AnsibleJob
        fields = ['name', 'playbook_content', 'inventory_content']
        widgets = {
            'name': forms.TextInput(attrs={'class': 'form-control'}),
            'inventory_content': forms.Textarea(attrs={'class': 'form-control'}),
            'playbook_content': forms.Textarea(attrs={'class': 'form-control'}),
        }